import DS from 'ember-data'

export default DS.Model.extend
  state: DS.attr('string', defaultValue: 'pending')
  notes: DS.attr('string')

  project:                  DS.belongsTo('panda/project',                 inverse: 'project_instance_groups')
  project_instance:         DS.belongsTo('panda/project-instance',        inverse: 'project_instance_groups')
  workflow_group:           DS.belongsTo('panda/workflow-group')
  project_instance_actions: DS.hasMany(  'panda/project-instance-action', inverse: 'project_instance_group' )
